Web Home
Getting Started
Manual
Quick Reference
Language Reference
Function Reference
I/O Reference

Language Reference Function Reference Including Source Files Comments Issuing Shell Commands Matrix Multiplication Information About Variables Elementary Functions Advanced Array Indexing Index Range Functions Logical Functions Interpolation and Lookup Functions Sorting Transposing Manipulating Strings Generating Simple Meshes Using Pointers Instancing Data Structures Reshaping Arrays I/O Reference | # Yorick Function Reference ## Including Source Files `#include "filename.i"` insert contents of filename This is a parser directive, NOT an executable statement. Yorick also provides two forms of executable include statements: `include, "filename.i"` parse contents of filename.i `require, "filename.i"` parse filename.i if not yet parsed The effect of the `include` function is not quite immediate, since any tasks (`*main*` programs) generated cannot execute until the task which called `include` finishes. The `require` function should be placed at the top of a file which represents a package of Yorick routines that depends on functions or variables defined in another package filename.i. The filename.i ends with a `.i` suffix by convention.